Subject: Re: [Igmp-mld-bis] Meetings for IETF IGMP/MLD update volunteer team

From: Olufemi Komolafe <[email-masked]>
Date: Wed, 9 Jan 2019 14:46:49 +0000

Here are some very initial thoughts on how we can possibly try to structure the suggested questions.  To be updated but just thought I’d share right now….

Regards,
Femi

——————————————————————————————————————————————————————————————

1. Deployment Status
Which of the following are currently deployed in your network?  And for how long has it been deployed?
IGMPv1 (RFC 1112) 		Deployed: Y/N  Since:________
IGMPv2 (RFC 2236)		Deployed: Y/N  Since:________
IGMPv3 (RFC 3376)		Deployed: Y/N  Since:________
Lightweight IGMPv3 (RFC 5790)   Deployed: Y/N  Since:________
MLDv1 (RFC 2710)		Deployed: Y/N  Since:________
MLDv2 (RFC 3810)		Deployed: Y/N  Since:________
Lightweight MLDv2 (RFC 5790)	Deployed: Y/N  Since:________ 

2. Deployment Specifics
If IGMPv3 (RFC 3376) is deployed
 + Is IGMP Membership Exclude mode with source list in use?

If MLDv2 (RFC 3810) is deployed
 + Is Exclude mode with source list for MLDv2? 

Does your network rely on the fallback mechanism between different IGMP versions?
 + what versions?

3. Deployment Perspectives
What have you found to be the strengths of the protocol(s) you have deployed?
What have you found to be the weaknesses of the protocol(s) you have deployed?
What suggestions would you make to the IETF PIM WG as it seeks to update these documents?

——————————————————————————————————————————————————————————————

1. Implementation Status
Which of the following features have you implemented?
[list of key features from different RFCs]

2. Implementation Specifics

3. Implementation Perspectives
+ What feature(s) has been deliberately omitted from your implementation?
 + because you think it is a bad or sub-optimal?
 + because you of insufficient demand/use cases?
Which ambiguities or inconsistencies in the RFC made the implementation challenging?
What suggestions would you make to the IETF PIM WG as it seeks to update these documents?

——————————————————————————————————————————————————————————————

> On 7 Jan 2019, at 02:30, Suneesh Babu <[email-masked]> wrote:
> 
> Thanks Mankamana.
>  
> Regards,
> Suneesh
>  
> From: "Mankamana Mishra (mankamis)" <[email-masked]>
> Date: Thursday, 3 January 2019 at 5:31 AM
> To: "Stig Venaas (svenaas)" <[email-masked]>, Toerless Eckert <[email-masked]>, Hitoshi Asaeda <[email-masked]>, Anish Peter <[email-masked]>, "[email-masked]" <[email-masked]>, Suneesh Babu <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
> Subject: Re: Meetings for IETF IGMP/MLD update volunteer team
>  
> Hi Team, 
> Attaching the initial questionnaire which I had prepared. And  attaching comment from Toerless too. I would merge it and come up with text which covers his comment.  Attaching the initial version of document, so that it would give some idea what kind of questions we are going to add. 
>  
>  
> Thanks
> Mankamana
>  
>  
> From: "Stig Venaas (svenaas)" <[email-masked]>
> Date: Wednesday, January 2, 2019 at 3:56 PM
> To: "Mankamana Mishra (mankamis)" <[email-masked]>, Toerless Eckert <[email-masked]>, Hitoshi Asaeda <[email-masked]>, Anish Peter <[email-masked]>, "[email-masked]" <[email-masked]>, Suneesh Babu <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
> Subject: Meetings for IETF IGMP/MLD update volunteer team
>  
> Hi
>  
> I’m setting up this meeting series. I’ve made it bi-weekly for now. We can discuss what is best at our meeting January 9th.
> Before the next meeting, please have a look at this wiki and subscribe to the mailing list mentioned there. We want to start using the mailing list ASAP.
> https://trac.ietf.org/trac/pim/wiki/igmp-mld-bis <https://urldefense.proofpoint.com/v2/url?u=https-3A__trac.ietf.org_trac_pim_wiki_igmp-2Dmld-2Dbis&d=DwMGaQ&c=HAkYuh63rsuhr6Scbfh0UjBXeMK-ndb3voDTXcWzoCI&r=SsQgKVptGdoEQ0IwmOYClpveG-Z2a6-RVt3NWZsVhtY&m=xfyDIIHTwAev66q2fAFloUXuL1MCQUGgqnkXE9f9_jU&s=2Y17p1qHkvmgLzHEDZVDGEwmYzlu0B_mTBwJeyYmzc0&e=>
> You should all be able to edit this page. Request an account if you don’t have one. I hope the info I provided on participants is correct. Please correct it if needed.
>  
> Enjoy the holidays,
> Stig
>   
> -- Do not delete or change any of the following text. -- <>   
>   
>   
> Join WebEx meeting <https://urldefense.proofpoint.com/v2/url?u=https-3A__cisco.webex.com_cisco_j.php-3FMTID-3Dm908071a63cbc651330983bb9cd66673a&d=DwMGaQ&c=HAkYuh63rsuhr6Scbfh0UjBXeMK-ndb3voDTXcWzoCI&r=SsQgKVptGdoEQ0IwmOYClpveG-Z2a6-RVt3NWZsVhtY&m=xfyDIIHTwAev66q2fAFloUXuL1MCQUGgqnkXE9f9_jU&s=QYKu49wTxQJ5zEccONrrKMCFxmBQ4SjLJcr_D6hc2jg&e=>   
> Meeting number (access code): 206 081 407 
> Meeting password: qSjJS28j (77557285 from phones)  
>   
> 
> Join from a video system or application
> Dial [email-masked] <sip:[email-masked]>  
> You can also dial 173.243.2.68 and enter your meeting number.   
> From the Cisco internal network, dial *267* and the 9-digit meeting number. If you are the host, enter your PIN when prompted.   
>   
> Join by phone  
> +1-866-432-9903 <tel:%2B1-866-432-9903,,*01*206081407%2377557285%23*01*> Call-in toll-free number (US/Canada)  
> +1-408-525-6800 <tel:%2B1-408-525-6800,,*01*206081407%2377557285%23*01*> Call-in toll number (US/Canada)  
> Global call-in numbers <https://urldefense.proofpoint.com/v2/url?u=https-3A__cisco.webex.com_cisco_globalcallin.php-3FserviceType-3DMC-26ED-3D468649747-26tollFree-3D1&d=DwMGaQ&c=HAkYuh63rsuhr6Scbfh0UjBXeMK-ndb3voDTXcWzoCI&r=SsQgKVptGdoEQ0IwmOYClpveG-Z2a6-RVt3NWZsVhtY&m=xfyDIIHTwAev66q2fAFloUXuL1MCQUGgqnkXE9f9_jU&s=BhaAfZ16q-xGlg5Xh9elY859xteZUCxp2Pt1g7FBCgo&e=>  |  Toll-free calling restrictions <https://urldefense.proofpoint.com/v2/url?u=https-3A__www.webex.com_pdf_tollfree-5Frestrictions.pdf&d=DwMGaQ&c=HAkYuh63rsuhr6Scbfh0UjBXeMK-ndb3voDTXcWzoCI&r=SsQgKVptGdoEQ0IwmOYClpveG-Z2a6-RVt3NWZsVhtY&m=xfyDIIHTwAev66q2fAFloUXuL1MCQUGgqnkXE9f9_jU&s=pN5NwVuM-DLTUn4jH1qezTTgfE9MB9KnnfCyK8vwOPg&e=>   
>   
> Join using Microsoft Lync or Microsoft Skype for Business
> Dial [email-masked] <sip:[email-masked]>  
>   
> Can't join the meeting? <https://urldefense.proofpoint.com/v2/url?u=https-3A__help.webex.com_docs_DOC-2D5412&d=DwMGaQ&c=HAkYuh63rsuhr6Scbfh0UjBXeMK-ndb3voDTXcWzoCI&r=SsQgKVptGdoEQ0IwmOYClpveG-Z2a6-RVt3NWZsVhtY&m=xfyDIIHTwAev66q2fAFloUXuL1MCQUGgqnkXE9f9_jU&s=uLjK37sqq1R7_xlbocvBMfWrJycXTXc5fDRp5QZVyY4&e=> 
>   
> If you are a host, go here <https://urldefense.proofpoint.com/v2/url?u=https-3A__cisco.webex.com_cisco_j.php-3FMTID-3Dmd27c1c7bcdec4b610b0c0d25998ded46&d=DwMGaQ&c=HAkYuh63rsuhr6Scbfh0UjBXeMK-ndb3voDTXcWzoCI&r=SsQgKVptGdoEQ0IwmOYClpveG-Z2a6-RVt3NWZsVhtY&m=xfyDIIHTwAev66q2fAFloUXuL1MCQUGgqnkXE9f9_jU&s=oYDdjvkNcQVayRh0zXN_k5-zL4DOHbeHRoPd242PePc&e=> to view host information.
> 
> IMPORTANT NOTICE: Please note that this Webex service allows audio and other information sent during the session to be recorded, which may be discoverable in a legal matter. By joining this session, you automatically consent to such recordings. If you do not consent to being recorded, discuss your concerns with the host or do not join the session.

---

From: Anish <[email-masked]>
Date: Wed, 9 Jan 2019 20:43:57 +0530

Hi folks,

  I just did some updates to the wiki page.

Thanks,

Anish

On 09/01/19 8:16 PM, Olufemi Komolafe wrote:
> Here are some very initial thoughts on how we can possibly try to 
> structure the suggested questions.  To be updated but just thought I’d 
> share right now….
>
> Regards,
> Femi
>
> IGMPv2 (RFC 2236)Deployed: Y/N  Since:________
> IGMPv3 (RFC 3376)Deployed: Y/N  Since:________
> MLDv1 (RFC 2710)Deployed: Y/N  Since:________
> MLDv2 (RFC 3810)Deployed: Y/N  Since:________
> Lightweight MLDv2 (RFC 5790)Deployed: Y/N  Since:________
>
>
> 2. Deployment Specifics
>> On 7 Jan 2019, at 02:30, Suneesh Babu <[email-masked] 
>> <mailto:[email-masked]>> wrote:
>>
>> Thanks Mankamana.
>> Regards,
>> Suneesh
>> *From:*"Mankamana Mishra (mankamis)" <[email-masked] 
>> <mailto:[email-masked]>>
>> *Date:*Thursday, 3 January 2019 at 5:31 AM
>> *To:*"Stig Venaas (svenaas)" <[email-masked] 
>> <mailto:[email-masked]>>, Toerless Eckert <[email-masked] 
>> <mailto:[email-masked]>>, Hitoshi Asaeda <[email-masked] 
>> <mailto:[email-masked]>>, Anish Peter <[email-masked] 
>> <mailto:[email-masked]>>, "[email-masked] 
>> <mailto:[email-masked]>" <[email-masked] <mailto:[email-masked]>>, 
>> Suneesh Babu <[email-masked] <mailto:[email-masked]>>, 
>> "[email-masked] <mailto:[email-masked]>" 
>> <[email-masked] <mailto:[email-masked]>>, 
>> "[email-masked] <mailto:[email-masked]>" 
>> <[email-masked] <mailto:[email-masked]>>, 
>> "[email-masked] <mailto:[email-masked]>" 
>> <[email-masked] <mailto:[email-masked]>>, 
>> "[email-masked] <mailto:[email-masked]>" 
>> <[email-masked] <mailto:[email-masked]>>
>> *Subject:*Re: Meetings for IETF IGMP/MLD update volunteer team
>> Hi Team,
>> Attaching the initial questionnaire which I had prepared. And 
>>  attaching comment from Toerless too. I would merge it and come up 
>> with text which covers his comment.  Attaching the initial version of 
>> document, so that it would give some idea what kind of questions we 
>> are going to add.
>> Thanks
>> Mankamana
>> *From:*"Stig Venaas (svenaas)" <[email-masked] 
>> <mailto:[email-masked]>>
>> *Date:*Wednesday, January 2, 2019 at 3:56 PM
>> *To:*"Mankamana Mishra (mankamis)" <[email-masked] 
>> <mailto:[email-masked]>>, Toerless Eckert <[email-masked] 
>> <mailto:[email-masked]>>, Hitoshi Asaeda <[email-masked] 
>> <mailto:[email-masked]>>, Anish Peter <[email-masked] 
>> <mailto:[email-masked]>>, "[email-masked] 
>> <mailto:[email-masked]>" <[email-masked] <mailto:[email-masked]>>, 
>> Suneesh Babu <[email-masked] <mailto:[email-masked]>>, 
>> "[email-masked] <mailto:[email-masked]>" 
>> <[email-masked] <mailto:[email-masked]>>, 
>> "[email-masked] <mailto:[email-masked]>" 
>> <[email-masked] <mailto:[email-masked]>>, 
>> "[email-masked] <mailto:[email-masked]>" 
>> <[email-masked] <mailto:[email-masked]>>, 
>> "[email-masked] <mailto:[email-masked]>" 
>> <[email-masked] <mailto:[email-masked]>>
>> *Subject:*Meetings for IETF IGMP/MLD update volunteer team
>> Hi
>> I’m setting up this meeting series. I’ve made it bi-weekly for now. 
>> We can discuss what is best at our meeting January 9^th .
>> Before the next meeting, please have a look at this wiki and 
>> subscribe to the mailing list mentioned there. We want to start using 
>> the mailing list ASAP.
>> https://trac.ietf.org/trac/pim/wiki/igmp-mld-bis 
>> <https://urldefense.proofpoint.com/v2/url?u=https-3A__trac.ietf.org_trac_pim_wiki_igmp-2Dmld-2Dbis&d=DwMGaQ&c=HAkYuh63rsuhr6Scbfh0UjBXeMK-ndb3voDTXcWzoCI&r=SsQgKVptGdoEQ0IwmOYClpveG-Z2a6-RVt3NWZsVhtY&m=xfyDIIHTwAev66q2fAFloUXuL1MCQUGgqnkXE9f9_jU&s=2Y17p1qHkvmgLzHEDZVDGEwmYzlu0B_mTBwJeyYmzc0&e=>
>> You should all be able to edit this page. Request an account if you 
>> don’t have one. I hope the info I provided on participants is 
>> correct. Please correct it if needed.
>> Enjoy the holidays,
>> Stig
>>
>> -- Do not delete or change any of the following text. --
>>
>>
>> Join WebEx 
>> meeting<https://urldefense.proofpoint.com/v2/url?u=https-3A__cisco.webex..com_cisco_j.php-3FMTID-3Dm908071a63cbc651330983bb9cd66673a&d=DwMGaQ&c=HAkYuh63rsuhr6Scbfh0UjBXeMK-ndb3voDTXcWzoCI&r=SsQgKVptGdoEQ0IwmOYClpveG-Z2a6-RVt3NWZsVhtY&m=xfyDIIHTwAev66q2fAFloUXuL1MCQUGgqnkXE9f9_jU&s=QYKu49wTxQJ5zEccONrrKMCFxmBQ4SjLJcr_D6hc2jg&e=>
>> [email-masked]<sip:[email-masked]>
>> From the Cisco internal network, dial *267* and the 9-digit meeting 
>> number. If you are the host, enter your PIN when prompted.
>>
>> Join by phone
>> *+1-866-432-9903*<tel:%2B1-866-432-9903,,*01*206081407%2377557285%23*01*> Call-in 
>> toll-free number (US/Canada)
>> *+1-408-525-6800*<tel:%2B1-408-525-6800,,*01*206081407%2377557285%23*01*> Call-in 
>> toll number (US/Canada)
>> Global call-in 
>> numbers<https://urldefense.proofpoint.com/v2/url?u=https-3A__cisco.webex..com_cisco_globalcallin.php-3FserviceType-3DMC-26ED-3D468649747-26tollFree-3D1&d=DwMGaQ&c=HAkYuh63rsuhr6Scbfh0UjBXeMK-ndb3voDTXcWzoCI&r=SsQgKVptGdoEQ0IwmOYClpveG-Z2a6-RVt3NWZsVhtY&m=xfyDIIHTwAev66q2fAFloUXuL1MCQUGgqnkXE9f9_jU&s=BhaAfZ16q-xGlg5Xh9elY859xteZUCxp2Pt1g7FBCgo&e=>  | 
>> Toll-free calling 
>> restrictions<https://urldefense.proofpoint.com/v2/url?u=https-3A__www.webex.com_pdf_tollfree-5Frestrictions.pdf&d=DwMGaQ&c=HAkYuh63rsuhr6Scbfh0UjBXeMK-ndb3voDTXcWzoCI&r=SsQgKVptGdoEQ0IwmOYClpveG-Z2a6-RVt3NWZsVhtY&m=xfyDIIHTwAev66q2fAFloUXuL1MCQUGgqnkXE9f9_jU&s=pN5NwVuM-DLTUn4jH1qezTTgfE9MB9KnnfCyK8vwOPg&e=>
>>
>> [email-masked]<sip:[email-masked]>
>>
>> Can't join the 
>> meeting?<https://urldefense.proofpoint.com/v2/url?u=https-3A__help.webex.com_docs_DOC-2D5412&d=DwMGaQ&c=HAkYuh63rsuhr6Scbfh0UjBXeMK-ndb3voDTXcWzoCI&r=SsQgKVptGdoEQ0IwmOYClpveG-Z2a6-RVt3NWZsVhtY&m=xfyDIIHTwAev66q2fAFloUXuL1MCQUGgqnkXE9f9_jU&s=uLjK37sqq1R7_xlbocvBMfWrJycXTXc5fDRp5QZVyY4&e=>
>>
>> If you are a host,go 
>> here<https://urldefense.proofpoint.com/v2/url?u=https-3A__cisco.webex..com_cisco_j.php-3FMTID-3Dmd27c1c7bcdec4b610b0c0d25998ded46&d=DwMGaQ&c=HAkYuh63rsuhr6Scbfh0UjBXeMK-ndb3voDTXcWzoCI&r=SsQgKVptGdoEQ0IwmOYClpveG-Z2a6-RVt3NWZsVhtY&m=xfyDIIHTwAev66q2fAFloUXuL1MCQUGgqnkXE9f9_jU&s=oYDdjvkNcQVayRh0zXN_k5-zL4DOHbeHRoPd242PePc&e=>to 
>> view host information.
>>
>> IMPORTANT NOTICE: Please note that this Webex service allows audio 
>> and other information sent during the session to be recorded, which 
>> may be discoverable in a legal matter. By joining this session, you 
>> automatically consent to such recordings. If you do not consent to 
>> being recorded, discuss your concerns with the host or do not join 
>> the session.
>
>